Subject: Re: [PATCH 3/3 V13] RO/NX protection for loadable kernel

From: Steven Rostedt <[email-masked]>
Date: Tue, 30 Nov 2010 19:38:05 -0500

On Tue, 2010-11-30 at 22:20 +0100, mat wrote:

> That's look fine for me.
> 
> But I wonder why ftrace_arch_code_modify_prepare isn't called ?
> 
> It is only called when we start/stop tracing ?

Correct. There's no reason to use it for the changing of mcount callers
to nops. For core kernel code, it happens before SMP is enabled. For
modules, it happens before the module code is executed. Except for what
Rusty stated with the module parameters, but if you are executing
complex code with that, you deserve what you get ;-)

The initial changes are made outside of stop machine. The code is not
being executed by anyone else.

-- Steve